<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
$material = $_COOKIE['material'];

loadJS('jquery-validate');
loadJS('jquery-validate-messages');
echo "<br> Sistema lab. de solos - Módulo amostras";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
echo(" Operador: $nomeOperador<br>");

switch ($tela):
/////////////////////////////////////////	/////////////////RESULTADOS////////////////////////	/////////////////////////////////////////	


	case 'identificar':
		entraResultados('batismo');
    break;
 

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;



function entraResultados($tipo)
{
$sessao = new sessao();
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
if($inicio<1 ):
  $inicio=1;
  $final=5;
endif;

$material = $_COOKIE['material'];
//echo("mmmmmmmmmmmmmmmmmmmmaterial=$material <br>");
//echo("rrrrrrrrrrrridlabo= $idLabo<br> ");
		//final da captura do pacote
		 if (post('intervalo') !== ""):
		    $inicio=post('inicio');//captura a quantidade de amostras a serem registradas
		    $final=post('final');//captura a quantidade de amostras a serem registradas
			$sessao->setVar('inicio', $inicio);
			$sessao->setVar('final', $final);
         endif;
		 $cabecalhoTela="Entrada de resultados de análise de " .$tipo;
         if($tipo=='batismo')$cabecalhoTela="Informar identificação das amostras";
		 ?>
		 <font color="red"><h2><?php echo($cabecalhoTela)?></h2></font>
		 <?php
        //echo '<h2>Entrada de resultados de análise.</h2>';
    	$rabicho= "WHERE tta.id=tta and id_pacote=pacote.id and material='".$material."' and tta.id_labo=$idLabo && numero>=".$inicio."  && numero<=".$final." order by numero ";



		//////////////////SALVAR///////////////////
         if (post('salvar') !== ""):
            echo("esta em batismo inicio=$inicio  final=$final<br>");
			
			for($i=1;$i<=3;$i++)
			{
             //captura a id para gravar sempre na amostra certa
			 $cid="cid".$i;
    		 $vcid=$_POST[$cid];//captura a quantidade de amostras a serem registradas
             //captura todos 75 campos
             $cp0="cp0".$i;	 $vcp0=$_POST[$cp0];//captura a quantidade de amostras a serem registradas
             //echo("cp1= $cp1  cid= $cid <br>");
             //monta o array dos dadoa a atualizar. a esquerda os campos e a direita o conteudo 
			 if($tipo=='batismo' ){ 
	             $user = new amostras(array(
	             'batizado'=>$vcp0,
	              ));
             }


			$user->valorpk = $vcid;
			$user->extras_select = "WHERE id=$vcid";
			$user->atualizar($user);

			}//final do for

         endif;  //fecha o isset do salvar
		 
		 
        ?>

		
		<form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informar a identificação que o produtor deu para as amostras. </legend>
                    <ul>
                        <li><label for="qtd">Amostras de:</label>
                        <input type="text" size="5" name="inicio" value="<?php echo $inicio; ?>" />
                        até
                        <input type="text" size="5" name="final" value="<?php echo $final; ?>" />
						<input type="submit" name="intervalo" value="Intervalo ou Sequencia" />
                        <input type="submit" name="salvar" value="Salvar" />
						</li>
                    </ul>
                </fieldset>
		
        <table cellspacing="0" cellpadding="0" border="1" class="display" id="listausers">
            <thead>
                <tr>
                    <?php
	
					  if($tipo=='batismo' ) { 
                        $col1='Identificação';
                      }
                    //echo("ttttttttttttttttttttuuuuuttttttttttttttipo= $tipo<br>");

					  ?>
				
                    <th>Amostra</th><th>Entrada</th><th>Pacote</th>
					<th><?php echo $col1; ?> </th>
					<th><?php echo $col2; ?> </th>
					<th><?php echo $col3; ?> </th>
					<th><?php echo $col4; ?> </th>
					
                </tr>
            </thead>
            <tbody>
                <?php 
				 //$user->extras_select = "WHERE id_labo=$idLabo order by numero "; isso aqui é lixo
		         //$user->selecionaCampos($user); isso é lixo
                 //isso é com 1 tabela   $user = new amostras();
				 //isso aqui é ccom uma tabela $user->extras_select = $rabicho ;
                 $user = new amostrasTTAPacote();
				 $user->extras_select = $rabicho ;
                 //$user->selecionaTudo($user);
				 $user->selecionaCampos($user);
				 $linha=0;
                while ($res = $user->retornaDados()):
                    echo '<tr>';
				    $linha++;	
                    $cid="cid".$linha;  //o nome do campo será   cid1, cid2, e assim por diante
                    $cp0="cp0".$linha;  //o nome do campo ser cp1,cp2 e assim por diante um nome para cada linha
 
					?>

                    <td><input type="text" size="2" name="email" value="<?php echo $res->numero; ?>" />  </td>					
                    <td><input type="text" size="6" name="email" value="<?php echo $res->datacad;?>" />  </td>					
                    <td><input type="text" size="6" name="email" value="<?php echo $res->nome;?>" />  </td>					

                    <?php

					  if($tipo=='batismo' ){ 
					  ?>
	                    <td><input type="text" size="10" maxlength="30" name="<?php echo $cp0; ?>" value="<?php echo $res->batizado;?>" />  </td>					
					  <?php
					  }
	
					  ?>
                    <td><input type="hidden" size="2" name="<?php echo $cid; ?>" value="<?php echo $res->id;       ?>" readonly="readonly" />  </td>					
					<?php
                    echo '</tr>';
                endwhile;                

	
                ?>
            </tbody>
        </table>
        </form>
        
        <?php        

}








?>